<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>

</head>

<body>
    <!-- <button id="btn1">Get All Seasons</button> -->
    <h1 style="text-align: center">Indian Premier League</h1>
    <h3>Seasons :</h3>
    <ul id="container"></ul>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script type="text/javascript">
        //    $(document).ready(function(){
        showSeason();

        function showSeason() {
            $.ajax({
                type: "GET",
                url: "/seasons",
                dataType: "json",
                success: function (res) {
                    //    console.log(res)
                    res.sort().forEach(element => {
                        // $("#container").append("<li>"+element+"</li>")
                        $("<li/>", {
                            id: element,
                            class: "inner",
                            text: element,
                            onclick: 'showTeams(this)'
                        }).appendTo("#container")
                    });

                },
                error: function () {
                    console.log("error");
                }
            })
        }

        function showTeams(event) {
            const season = event.id;
            // Removing 
            let parent = $("#" + season).parent();
            let allChild = (parent.children());
            for (i = 0; i < allChild.length; i++) {
                if (allChild[i].id != season) {
                    const childId = allChild[i].id;
                    $("#" + childId).empty().text(childId);
                }
            }

            $.ajax({
                type: "GET",
                url: "/seasons/" + season,
                dataType: "json",
                success: function (res) {
                    $("#" + season).empty();
                    $("#" + season).text(season);
                    count = 1;
                    res.forEach(element => {
                        $("<div/>", {
                            id: season + "team" + count++,
                            team: element,
                            text: element,
                            onclick: "getPlayers(this)"
                        }).appendTo("#" + season).css({
                            color:"gray"
                        })
                    });

                },
                error: function () {
                    console.log("error");
                }
            })
        }

        function getPlayers(event) {
            const teamId = event.id;
            const team = $("#" + teamId).attr("team")
            const season = event.parentNode.id;
            $.ajax({
                type: "GET",
                url: "/seasons/" + season + "/teams/" + team,
                dataType: "json",
                success: function (res) {
                    $(".teamId").empty();
                    $(".teamId").text(team);
                    res.forEach(element => {
                    $("<div/>", {
                        text: element,
                    }).appendTo("#" + teamId).css({
                            color:"blue"
                        })
                });
                },
                error: function () {
                    console.log("error");
                }
            })
        }
    </script>
</body>

</html>